Package Gnumed :: Package wxpython :: Module gmMacro |
[frames] | no frames]

# Module gmMacro

source code

GNUmed macro primitives.

This module implements functions a macro can legally use.

Author: K.Hilbert <karsten.hilbert@gmx.net>

Classes
| gmPlaceholderHandler Returns values for placeholders.
| cMacroPrimitives Functions a macro can legally use.

Functions
show_placeholders() | source code

Variables
| known_variant_placeholders = `__known_variant_placeholders.keys()`
| default_placeholder_regex = `r'\$<[^<:]+::.*?::\d*?>\$'`
| first_order_placeholder_regex = `r'\$<<<[^<:]+?::.*::\d*?>>>\$'`
| second_order_placeholder_regex = `r'\$<<[^<:]+?::.*::\d*?>>\$'`
| third_order_placeholder_regex = `r'\$<[^<:]+::.*?::\d*?>\$'`
| default_placeholder_start = `u'$<'`
| default_placeholder_end = `u'>$'`

Imports: sys, time, random, types, logging, os, codecs, wx, gmI18N, gmGuiBroker, gmTools, gmBorg, gmExceptions, gmCfg2, gmDateTime, gmMimeLib, gmPerson, gmStaff, gmDemographicRecord, gmMedication, gmPathLab, gmPersonSearch, gmVaccination, gmKeywordExpansion, gmPraxis, gmGuiHelpers, gmNarrativeWidgets, gmPatSearchWidgets, gmPersonContactWidgets, gmPlugin, gmEMRStructWidgets, gmEncounterWidgets, gmListWidgets, gmDemographicsWidgets, gmDocumentWidgets, gmKeywordExpansionWidgets, gmPraxisWidgets